com.jscape.inet.ftp

## Class FtpDownloadEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.ftp.FtpEvent
    - - com.jscape.inet.ftp.FtpDownloadEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FtpDownloadEvent
      extends FtpEvent

  Fired when file is downloaded from FTP server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtpDownloadEvent(java.lang.Object source, java.lang.String filename, java.lang.String path, java.lang.String localPath, long size, long time)` Creates FtpDownloadEvent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FtpListener listener)` Event is accepted by listener
    `java.lang.String` | `getFilename()` Gets name of file downloaded.
    `java.lang.String` | `getLocalPath()` Returns local file path.
    `java.lang.String` | `getPath()` Gets remote directory path that the file was downloaded from.
    `long` | `getSize()` Gets total bytes transmitted
    `long` | `getTime()` Gets total time to transfer file measured in milliseconds
    `java.lang.String` | `toString()` Gets String equivalent of this event.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FtpDownloadEvent

          public FtpDownloadEvent(java.lang.Object source,
                                  java.lang.String filename,
                                  java.lang.String path,
                                  java.lang.String localPath,
                                  long size,
                                  long time)

      Creates FtpDownloadEvent.
      Parameters:
        `source` - the source of the event
        `filename` - the file downloaded
        `path` - the remote directory path that file was downloaded from
        `localPath` - the the local file path
        `size` - the size of the file downloaded
        `time` - the amount of time to download file measured in milliseconds

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Gets name of file downloaded.
      Returns:
        filename

    - #### getPath

          public java.lang.String getPath()

      Gets remote directory path that the file was downloaded from.
      Returns:
        the remote directory path

    - #### getLocalPath

          public java.lang.String getLocalPath()

      Returns local file path.
      Returns:
        local file path

    - #### getSize

          public long getSize()

      Gets total bytes transmitted
      Returns:
        bytes transmitted

    - #### getTime

          public long getTime()

      Gets total time to transfer file measured in milliseconds
      Returns:
        total time

    - #### accept

          public void accept(FtpListener listener)

      Description copied from class: `FtpEvent`
      Event is accepted by listener
      Specified by:
        `accept` in class `FtpEvent`

    - #### toString

          public java.lang.String toString()

      Gets String equivalent of this event.
      Overrides:
        `toString` in class `java.util.EventObject`
      Returns:
        the String equivalent for this event

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved